Update error for dashboard feeds plugin

After I updated the Dashboard feeds plugin this morning to the latest, I got the following error code at the top of my dashboard:

Warning: Invalid argument supplied for foreach() in /home/blog/public_html/wp-content/plugins/dashboard-feeds/dashboard-feeds.php on line 314

Warning: Cannot modify header information - headers already sent by (output started at /home/blog/public_html/wp-content/plugins/dashboard-feeds/dashboard-feeds.php:314) in /home/blog/public_html/wp-includes/option.php on line 563

Warning: Cannot modify header information - headers already sent by (output started at /home/blog/public_html/wp-content/plugins/dashboard-feeds/dashboard-feeds.php:314) in /home/blog/public_html/wp-includes/option.php on line 564

Any solution to this?

Thanks